caoss.simulator.instructions

## Class NoSuchSysCallException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - caoss.simulator.parser.ParseException
      - - caoss.simulator.instructions.NoSuchSysCallException

- All Implemented Interfaces:
    java.io.Serializable

      public class NoSuchSysCallException
      extends caoss.simulator.parser.ParseException

  Thrown when the system call identifier is not within the range of valid identifiers
  Author:
    Herve Paulino
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class caoss.simulator.parser.ParseException

      `currentToken, expectedTokenSequences, tokenImage`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoSuchSysCallException(int number)` Construct exception
    `NoSuchSysCallException(java.lang.String syscall)` Construct exception
    `NoSuchSysCallException(SysCallNumber number)` Construct exception

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NoSuchSysCallException

          public NoSuchSysCallException(int number)

      Construct exception
      Parameters:
        `number` - The invalid system call identifier

    - #### NoSuchSysCallException

          public NoSuchSysCallException(SysCallNumber number)

      Construct exception
      Parameters:
        `number` - The invalid system call identifier

    - #### NoSuchSysCallException

          public NoSuchSysCallException(java.lang.String syscall)

      Construct exception
      Parameters:
        `syscall` - Textual representation of the invalid system call identifier